QCAT - Task #1120

User Story # 1660 (Closed): Notifications: Improvements and mail
Notifications: Bessere Kennzeichnung Versionen
28 Nov 2016 15:25 - Nina Lauterburg

Status: Closed Start date: 28 Nov 2016
Priority: Normal Due date:

Assignee: Kurt Gerber % Done: 0%
Category: Dev Task Estimated time: 0.00 hour
Target version: QCAT Backlog Spent time: 0.00 hour
Resolution:

Description

Ich habe einen Fall zuerst approved und dann publiziert. In den notifications gibt es aber jeweils noch eine dritte Meldung: is now
inactive. Neben "is now inactive" hats ein Icon, dass es eine Message dazu gibt: "New version was published".

Lukas hat folgendes erklart: Der Hintergrund ist der, dass das Editieren eines gepublishten Questionnaires ja eine neue Version
erstellt und die alte "public" Version weiterhin besteht solange die neue Version im Review-Zyklus ist. Alle anderen User sehen nur
die "public" Version. Sobald dann die neuere Version "public" geht, wird die alte "public" Version auf "inactive" gesetzt (sie wird quasi
durch die neue Version ersetzt). Dies wére die Notification hierzu. Vielleicht ware es offensichtlicher, wenn die Versionsnummer auch

noch angezeigt wiirde:

unced_348 (Version 2) is now public (...)
unccd_348 (Version 1) is now inactive (...)

Ich denke, mit der Angabe der Version wére es tatsachlich viel klarer.

History

#1 - 27 Jan 2017 11:09 - Kurt Gerber
- Tracker changed from Feature to Task
- Subject changed from Notifications to Notifications: Bessere Kennzeichnung Versionen

- Category set to Dev Task

#2 - 27 Jan 2017 11:12 - Kurt Gerber
- Parent task set to #1660

#3 - 27 Jan 2017 13:04 - Kurt Gerber

- Status changed from New to Accepted

#4 - 09 Jan 2018 15:06 - Sebastian Manger

- translation missing: en.field_tag_list set to Notifications

#5 - 29 Apr 2019 10:11 - Kurt Gerber

- Status changed from Accepted to Closed
